Bug 852699 - DOC: Basic Configuration and EAP6 subsystems
DOC: Basic Configuration and EAP6 subsystems
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Misha H. Ali
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-08-29 06:56 EDT by Michal Karm Babacek
Modified: 2012-11-08 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-08 17:10:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Karm Babacek 2012-08-29 06:56:23 EDT Basic Configuration
  EAP6 subsystem configuration in the scope of EWS?
We talk Tomcat6/7 here...

Comment 1 Misha H. Ali 2012-08-29 23:00:09 EDT
Adding Jean-Frederic for a pointer to information about this.
Comment 2 Jean-frederic Clere 2012-08-30 04:42:36 EDT
Keep that part. EWS can be used as a frond-end for EAP6 therefore it must be documented and tested.
Comment 3 Misha H. Ali 2012-09-18 21:45:25 EDT
In light of Jean-Frederic's clarification in c#2, closing this as NOTABUG. Michal, please open it back up and comment if you have any further issues related to this particular bug.
Comment 4 Misha H. Ali 2012-09-18 22:11:55 EDT
Using this bug to track addition of 3.3 - Configuring Apache Tomcat to work with mod_jk hence reopened.
Comment 5 Jean-frederic Clere 2012-09-19 07:49:31 EDT
3.3 Configuring Apache Tomcat to work

Tomcat is already prepared to use mod_jk. In conf/server.xml you have:
 <Connector port="8009" protocol="AJP/1.3" redirectPort="8443" />
Comment 6 Misha H. Ali 2012-09-20 18:13:45 EDT
Added the following text:


3.3. Configuring Apache Tomcat to Work with mod_jk

Tomcat is configured to use mod_jk by default. Specifically, refer to the conf/server.xml file, which contains the following code for this purpose:

<connector port="8009" protocol="AJP/1.3" redirectPort="8443" />

This default Tomcat configuration is ready for immediate use with mod_jk.


Available for QE here:

Comment 7 Jean-frederic Clere 2012-09-25 03:09:13 EDT
looks ok
Comment 8 Jan Stefl 2012-10-12 05:18:56 EDT
Just one thing, I am missing info about jvmRoute.

Make sure that jvmRoute attribute is set at your Engine <Engine name="Catalina" jvmRoute="node01" > and that the jvmRoute attribute value matches your worker name in workers.properties
Comment 9 Misha H. Ali 2012-10-12 07:00:40 EDT
Information is added.
Comment 11 Jan Stefl 2012-10-15 03:10:28 EDT
I noticed, that we use naming of first worker as "node1", please change:

node01 -> node1
Comment 12 Misha H. Ali 2012-10-15 19:49:54 EDT
Fixed. This bug will be set to ON_QA once this change appears on the stage.
Comment 14 Misha H. Ali 2012-11-08 17:10:51 EST
This bug is set to CLOSED CURRENT RELEASE to indicate that this fix is now released and available at access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.